FeedFlag (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Enum FeedFlag

- java.lang.Object
- - java.lang.Enum<FeedFlag>
  - - com.marketfactory.zerogc.api.FeedFlag

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FeedFlag>

      public enum FeedFlag
      extends java.lang.Enum<FeedFlag>

  Values for the bit mask used to identify the flags for APIFeed. Usage:

        (APIFeed.flags & (1 << FeedFlag.DROPCOPY))

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `AGGREGATE` The feed sends aggregate market data
    `BATCHING` The feed supports batching.
    `DROPCOPY` The feed sends drop copy messages.
    `FOK` The feed supports Fill Or Kill (FOK) orders.
    `GTC` The feed supports Good Till Cancel (GTC) orders.
    `IOC` The feed supports Immediate Or Cancel (IOC) orders.
    `MARKET_DATA` The feed supports market data.
    `MARKET_MAKING` The feed if for market making only.
    `TRADING` The feed supports trading.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static FeedFlag` | `get(byte value)`
    `static java.util.Collection<FeedFlag>` | `validValues()`
    `static FeedFlag` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FeedFlag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MARKET_DATA

          public static final FeedFlag MARKET_DATA

      The feed supports market data.

    - #### TRADING

          public static final FeedFlag TRADING

      The feed supports trading.

    - #### BATCHING

          public static final FeedFlag BATCHING

      The feed supports batching.

    - #### DROPCOPY

          public static final FeedFlag DROPCOPY

      The feed sends drop copy messages.

    - #### GTC

          public static final FeedFlag GTC

      The feed supports Good Till Cancel (GTC) orders.

    - #### IOC

          public static final FeedFlag IOC

      The feed supports Immediate Or Cancel (IOC) orders.

    - #### FOK

          public static final FeedFlag FOK

      The feed supports Fill Or Kill (FOK) orders.

    - #### AGGREGATE

          public static final FeedFlag AGGREGATE

      The feed sends aggregate market data

    - #### MARKET_MAKING

          public static final FeedFlag MARKET_MAKING

      The feed if for market making only.

    - #### _INVALID

          public static final FeedFlag _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static FeedFlag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FeedFlag c : FeedFlag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FeedFlag valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static FeedFlag get(byte value)

    - #### validValues

          public static java.util.Collection<FeedFlag> validValues()